SENSORSD(8)

NAME
sensorsd - hardware sensors monitor

SYNOPSIS
sensorsd [-d] [-c check]

DESCRIPTION
The sensorsd utility retrieves sensor monitoring data like fan speed, temperature, voltage and RAID logical disk status via sysctl(3). When the state of any monitored sensor changes, an alert is sent using syslog(3) and a command, if specified, is executed.

By default, sensorsd monitors status changes on all sensors that keep their state, thus sensors that automatically provide status do not require any additional configuration. In addition, for every sensor, no matter whether it automatically provides its state or not, custom low and high limits may be set, so that a local notion of sensor status can be computed by sensorsd, indicating whether the sensor is within or is exceeding its limits.

Limit and command values for a particular sensor may be specified in the sensorsd.conf(5) configuration file. This file is reloaded upon receiving SIGHUP.

The options are as follows:

-c check
    Check sensors every check seconds. The shortest reporting period for state changes will be three times this value. The default is 20.

-d  Do not daemonize. If this option is specified, sensorsd will run in the foreground.

FILES

/etc/sensorsd.conf
    Configuration file for sensorsd.

SEE ALSO
sysctl(3), syslog(3), sensorsd.conf(5), syslogd(8)

HISTORY
The sensorsd program first appeared in OpenBSD 3.5.

CAVEATS
Certain sensors may flip status from time to time. To guard against false reports, sensorsd implements a state dumping mechanism. However, this inevitably introduces an additional delay in status reporting and command execution, e.g. one may notice that sensorsd makes its initial report about the state of monitored sensors not immediately, but about 60 seconds after it is started.